Subject: Re: Could the DTS experts look at this?

From: Arnd Bergmann <[email-masked]>
Date: Sun, 10 Feb 2008 06:47:56 +0100

On Saturday 09 February 2008, Sean MacLennan wrote:
> If anybody has suggestions on better ways to do this, fire away.

I guess the cleanest solution would be to include two complete device trees
for this platform, and then choose the correct one in cuboot-warp.c based
on the board revision.

The obvious disadvantage of this is that you'd get two device trees
that you need to keep in sync with every change, so it might not
be very practical.

Maybe we can introduce a more generic way of having conditional
device nodes in the tree that get knocked out in the boot wrapper.

	Arnd <><